package plain

import (
	"git.noahlan.cn/noahlan/nnet"
	"git.noahlan.cn/noahlan/nnet/packet"
)

func WithPlainProtocol() []nnet.RunOption {
	opts := []nnet.RunOption{
		withEvents(),
		nnet.WithRouter(NewRouter()),
		nnet.WithPackerBuilder(func() packet.Packer { return NewPacker() }),
	}
	return opts
}
